# module TkBgError

### Constants

TkCommandNames

### Public Class Methods

bgerror(message) click to toggle source

    # File lib/tk/bgerror.rb, line 13
    def bgerror(message)
      tk_call('bgerror', message)
    end

Also aliased as: tkerror, show
set_default() click to toggle source

    # File lib/tk/bgerror.rb, line 23
    def set_default
      begin
        tk_call('rename', 'bgerror', '')
      rescue RuntimeError
      end
    end

set_handler(hdlr = Proc.new) click to toggle source

    # File lib/tk/bgerror.rb, line 20
    def set_handler(hdlr = Proc.new) #==> handler :: proc{|msg| ...body... }
      tk_call('proc', 'bgerror', 'msg', install_cmd(hdlr) + ' $msg')
    end

show(message)
Alias for: bgerror
tkerror(message)
Alias for: bgerror

### Private Instance Methods

bgerror(message) click to toggle source

    # File lib/tk/bgerror.rb, line 13
    def bgerror(message)
      tk_call('bgerror', message)
    end

Also aliased as: tkerror, show
set_default() click to toggle source

    # File lib/tk/bgerror.rb, line 23
    def set_default
      begin
        tk_call('rename', 'bgerror', '')
      rescue RuntimeError
      end
    end

set_handler(hdlr = Proc.new) click to toggle source

    # File lib/tk/bgerror.rb, line 20
    def set_handler(hdlr = Proc.new) #==> handler :: proc{|msg| ...body... }
      tk_call('proc', 'bgerror', 'msg', install_cmd(hdlr) + ' $msg')
    end

show(message)
Alias for: bgerror
tkerror(message)
Alias for: bgerror